//----------------------------------------------------------------------------
#ifndef App_ErrorDialogH
#define App_ErrorDialogH
//----------------------------------------------------------------------------
#include <ActnList.hpp>
#include <Classes.hpp>
#include <Controls.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <Menus.hpp>
#include <StdCtrls.hpp>
#include "App_Common.h"
//----------------------------------------------------------------------------
class TErrorDialog : public TForm
{
__published:
	TAction* Action1;
	TAction* Action2;
	TAction* Action3;
	TActionList* ActionList1;
	TButton* Button1;
	TImage* Image1;
	TLabel* Label1;
	TListBox* ListBox1;
	TMenuItem* MenuItem1;
	TMenuItem* MenuItem2;
	TMenuItem* MenuItem3;
	TMenuItem* MenuItem4;
	TPanel* Panel1;
	TPopupMenu* PopupMenu1;
	void __fastcall Action1Execute(TObject* ASender);
	void __fastcall Action1Update(TObject* ASender);
	void __fastcall Action2Execute(TObject* ASender);
	void __fastcall Action2Update(TObject* ASender);
	void __fastcall Action3Execute(TObject* ASender);
	void __fastcall Action3Update(TObject* ASender);
	void __fastcall ActionList1Execute(TBasicAction* AAction, bool& AHandled);
	void __fastcall ActionList1Update(TBasicAction* AAction, bool& AHandled);
	void __fastcall ListBox1Click(TObject* ASender);
private:
	static void __fastcall UpdateScrollWidth(TListBox* AListBox);
	void __fastcall UpdateAccess();
	TStrings* __fastcall GetValues();
protected:
public:
	__fastcall TErrorDialog(TComponent* AOwner);
	virtual __fastcall ~TErrorDialog();
	static TErrorDialog* __fastcall EnsureCreated();
	virtual void __fastcall Execute();
	__property TStrings* Values = {read=GetValues};
};
//----------------------------------------------------------------------------
extern PACKAGE TErrorDialog* ErrorDialog;
//----------------------------------------------------------------------------
#endif

